Bug 240396 - (CVE-2007-2654) CVE-2007-2654: xfsdump file permissions issue
CVE-2007-2654: xfsdump file permissions issue
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xfsdump (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
: Patch, Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-17 03:49 EDT by Ville Skyttä
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: xfsdump-2.2.42-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 08:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from SUSE update (286 bytes, patch)
2007-05-17 03:49 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2007-05-17 03:49:31 EDT
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-2654

"xfs_fsr in xfsdump creates a temporary directory with insecure permissions,
which allows local users to read or overwrite arbitrary files on xfs filesystems."

Patch from SUSE update attached.
Comment 1 Ville Skyttä 2007-05-17 03:49:31 EDT
Created attachment 154896 [details]
Patch from SUSE update
Comment 2 Russell Cattelan 2007-06-20 13:12:22 EDT
Sorry didn't see this.
I'll get this pulled in soon.
Comment 3 Eric Sandeen 2007-08-22 15:09:09 EDT
This is fixed in most recent xfsprogs 2.2.45, as of a couple months ago:

http://oss.sgi.com/cgi-bin/cvsweb.cgi/xfs-cmds/xfsdump/fsr/xfs_fsr.c.diff?r1=1.27;r2=1.28

I've got most recent xfsprogs in F8test and F7 updates-testing; I'll try to get
it pushed to F6 as well.
Comment 4 Eric Sandeen 2007-09-11 08:59:58 EDT
xfsdump-2.2.42-2.fc6 is now available in Fedora 6 Extras, and it resolves this
issue.

Thanks,

-Eric

Note You need to log in before you can comment on or make changes to this bug.